function response = hSYSTEMSetInstrumentName(instrument, instrumentName)
%function response = hSYSTEMSetInstrumentName(instrument, instrumentName)
%Sets the instrument name to the supplied value.  The maximum name length
%is 20 characters.

if length(instrumentName) > 20
    disp('Instrument name too long, truncating to 20 characters');
    instrumentName = instrumentName(1:20);
end
response = hCOMMExecuteCommand(instrument, '#SetInstrumentName',instrumentName,0,10);
